#include "LastMessage.h"
#include "Slot.h"
#include "ByteBuffer.h"

/**
 * This Entry records the last message sent by a given machine.
 * @author Brian Demsky <bdemsky@uci.edu>
 * @version 1.0
 */

Entry *LastMessage_decode(Slot *slot, ByteBuffer *bb) {
	int64_t machineid = bb->getLong();
	int64_t seqnum = bb->getLong();
	return new LastMessage(slot, machineid, seqnum);
}

void LastMessage::encode(ByteBuffer *bb) {
	bb->put(TypeLastMessage);
	bb->putLong(machineid);
	bb->putLong(seqnum);
}
