#ifndef TABLESTATUS_H
#define TABLESTATUS_H
#include "common.h"
#include "Entry.h"

/**
 * TableStatus entries record the current size of the data structure
 * in slots.  Used to remember the size and to perform resizes.
 * @author Brian Demsky
 * @version 1.0
 */

class TableStatus : public Entry {
private:
	int maxslots;

public:
	TableStatus(Slot *slot, int _maxslots) : Entry(slot),
		maxslots(_maxslots) {
	}
	int getMaxSlots() { return maxslots; }
	void encode(ByteBuffer *bb);
	int getSize() { return sizeof(int32_t) + sizeof(char); }

	char getType() { return TypeTableStatus; }

	Entry *getCopy(Slot *s) { return new TableStatus(s, maxslots); }
};

Entry *TableStatus_decode(Slot *slot, ByteBuffer *bb);
#endif
